"""
Blacknet: A mutli-head python SSH honeypot system

Copyright (c) 2017 Blacknet contributors

Permission is hereby granted, free of charge, to any person obtaining
a copy of this software and associated documentation files (the
"Software"), to deal in the Software without restriction, including
without limitation the rights to use, copy, modify, merge, publish,
distribute, sublicense, and/or sell copies of the Software, and to
permit persons to whom the Software is furnished to do so, subject to
the following conditions:

The above copyright notice and this permission notice shall be
included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
"""

from .main_server import BlacknetMainServer
from .scrubber import BlacknetScrubber
from .ssh_server import BlacknetSSHServer
from .updater import BlacknetGeoUpdater

VERSION = (2, 0, 3, None)
threadsafety = 1

__version__ = '.'.join(map(str, VERSION))
__all__ = [
    'BlacknetMainServer', 'BlacknetScrubber', 'BlacknetSSHServer', 'BlacknetGeoUpdater',
    'threadsafety', '__version__',
]
